Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Class Circumstance

    java.lang.Object
      jason.asSemantics.Circumstance

All Implemented Interfaces:
  java.io.Serializable

    public class Circumstance

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected ActionExec` | `A`
`protected java.util.List<Option>` | `AP`
`protected java.util.Queue<Message>` | `MB`
`protected java.util.List<Option>` | `RP`
`protected Event` | `SE`
`protected Intention` | `SI`
`protected Option` | `SO`

Constructor Summary
`Circumstance()`

Method Summary
`Event` | `addAchvGoal(Literal l, Intention i)`
`void` | `addEvent(Event ev)` Events
`void` | `addEventListener(CircumstanceListener el)` Listeners
`void` | `addExternalEv(Trigger trig)`
`void` | `addFeedbackAction(ActionExec act)`
`void` | `addIntention(Intention intention)`
`void` | `addPendingAction(ActionExec a)`
`void` | `addPendingIntention(java.lang.String id, Intention i)`
`void` | `clearEvents()`
`void` | `clearIntentions()`
`void` | `clearPendingActions()`
`void` | `clearPendingIntentions()`
`Circumstance` | `clone()` clone E, I, MB, PA, PI, FA, and AI
`void` | `create()` creates new collections for E, I, MB, PA, PI, and FA
`boolean` | `dropIntention(Intention i)` removes and produces events to signal that the intention was dropped
`boolean` | `dropPendingAction(Intention i)` removes the intention i from PA and notify listeners that the intention was dropped
`boolean` | `dropPendingIntention(Intention i)` removes the intention i from PI and notify listeners that the intention was dropped
`ActionExec` | `getAction()`
`java.util.List<Option>` | `getApplicablePlans()`
`org.w3c.dom.Element` | `getAsDOM(org.w3c.dom.Document document)` get the agent circumstance as XML
`java.util.Queue<Event>` | `getEvents()`
`java.util.List<ActionExec>` | `getFeedbackActions()`
`java.util.List<ActionExec>` | `getFeedbackActionsWrapper()`
`java.util.Queue<Intention>` | `getIntentions()` Intentions
`java.util.Collection<CircumstanceListener>` | `getListeners()`
`java.util.Queue<Message>` | `getMailBox()` Messages
`java.util.Map<java.lang.Integer,ActionExec>` | `getPendingActions()` pending action
`java.util.Map<java.lang.String,Intention>` | `getPendingIntentions()` pending intentions
`java.util.List<Option>` | `getRelevantPlans()`
`Event` | `getSelectedEvent()`
`Intention` | `getSelectedIntention()`
`Option` | `getSelectedOption()`
`boolean` | `hasAtomicIntention()`
`boolean` | `hasEvent()`
`boolean` | `hasFeedbackAction()` feedback action
`boolean` | `hasIntention()`
`boolean` | `hasListener()`
`boolean` | `hasPendingAction()`
`boolean` | `hasPendingIntention()`
`boolean` | `isAtomicIntentionSuspended()`
`Event` | `removeAtomicEvent()` remove and returns the event with atomic intention, null if none
`Intention` | `removeAtomicIntention()`
`boolean` | `removeEvent(Event ev)`
`void` | `removeEventListener(CircumstanceListener el)`
`boolean` | `removeIntention(Intention i)`
`ActionExec` | `removePendingAction(int intentionId)`
`Intention` | `removePendingIntention(int intentionId)`
`Intention` | `removePendingIntention(java.lang.String pendingId)`
`void` | `reset()` set null for A, RP, AP, SE, SO, and SI
`void` | `resumeIntention(Intention intention)` add the intention back to I, and also notify meta listeners that the goals are resumed
`void` | `setAction(ActionExec a)`
`void` | `setAtomicIntention(Intention i)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### A

    protected ActionExec A

### MB

    protected java.util.Queue<Message> MB

### RP

    protected java.util.List<Option> RP

### AP

    protected java.util.List<Option> AP

### SE

    protected Event SE

### SO

    protected Option SO

### SI

    protected Intention SI

Constructor Detail

### Circumstance

    public Circumstance()

Method Detail

### create

    public void create()

  creates new collections for E, I, MB, PA, PI, and FA

### reset

    public void reset()

  set null for A, RP, AP, SE, SO, and SI

### addAchvGoal

    public Event addAchvGoal(Literal l,
                             Intention i)

### addExternalEv

    public void addExternalEv(Trigger trig)

### addEvent

    public void addEvent(Event ev)

  Events

### removeEvent

    public boolean removeEvent(Event ev)

### clearEvents

    public void clearEvents()

### getEvents

    public java.util.Queue<Event> getEvents()

### hasEvent

    public boolean hasEvent()

### removeAtomicEvent

    public Event removeAtomicEvent()

  remove and returns the event with atomic intention, null if none

### addEventListener

    public void addEventListener(CircumstanceListener el)

  Listeners

### removeEventListener

    public void removeEventListener(CircumstanceListener el)

### hasListener

    public boolean hasListener()

### getListeners

    public java.util.Collection<CircumstanceListener> getListeners()

### getMailBox

    public java.util.Queue<Message> getMailBox()

  Messages

### getIntentions

    public java.util.Queue<Intention> getIntentions()

  Intentions

### hasIntention

    public boolean hasIntention()

### addIntention

    public void addIntention(Intention intention)

### resumeIntention

    public void resumeIntention(Intention intention)

  add the intention back to I, and also notify meta listeners that the goals are resumed

### removeIntention

    public boolean removeIntention(Intention i)

### dropIntention

    public boolean dropIntention(Intention i)

  removes and produces events to signal that the intention was dropped

### clearIntentions

    public void clearIntentions()

### setAtomicIntention

    public void setAtomicIntention(Intention i)

### removeAtomicIntention

    public Intention removeAtomicIntention()

### hasAtomicIntention

    public boolean hasAtomicIntention()

### isAtomicIntentionSuspended

    public boolean isAtomicIntentionSuspended()

### getPendingIntentions

    public java.util.Map<java.lang.String,Intention> getPendingIntentions()

  pending intentions

### hasPendingIntention

    public boolean hasPendingIntention()

### clearPendingIntentions

    public void clearPendingIntentions()

### addPendingIntention

    public void addPendingIntention(java.lang.String id,
                                    Intention i)

### removePendingIntention

    public Intention removePendingIntention(java.lang.String pendingId)

### removePendingIntention

    public Intention removePendingIntention(int intentionId)

### dropPendingIntention

    public boolean dropPendingIntention(Intention i)

  removes the intention i from PI and notify listeners that the intention was dropped

### getAction

    public ActionExec getAction()

### setAction

    public void setAction(ActionExec a)

### getApplicablePlans

    public java.util.List<Option> getApplicablePlans()

### hasFeedbackAction

    public boolean hasFeedbackAction()

  feedback action

### getFeedbackActions

    public java.util.List<ActionExec> getFeedbackActions()

### getFeedbackActionsWrapper

    public java.util.List<ActionExec> getFeedbackActionsWrapper()

### addFeedbackAction

    public void addFeedbackAction(ActionExec act)

### getPendingActions

    public java.util.Map<java.lang.Integer,ActionExec> getPendingActions()

  pending action

### addPendingAction

    public void addPendingAction(ActionExec a)

### clearPendingActions

    public void clearPendingActions()

### hasPendingAction

    public boolean hasPendingAction()

### removePendingAction

    public ActionExec removePendingAction(int intentionId)

### dropPendingAction

    public boolean dropPendingAction(Intention i)

  removes the intention i from PA and notify listeners that the intention was dropped

### getRelevantPlans

    public java.util.List<Option> getRelevantPlans()

### getSelectedEvent

    public Event getSelectedEvent()

### getSelectedIntention

    public Intention getSelectedIntention()

### getSelectedOption

    public Option getSelectedOption()

### clone

    public Circumstance clone()

  clone E, I, MB, PA, PI, FA, and AI

  Overrides:
    `clone` in class `java.lang.Object`

### getAsDOM

    public org.w3c.dom.Element getAsDOM(org.w3c.dom.Document document)

  get the agent circumstance as XML

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD